Bug 181750 - [patch update] transfig 3.2.5d -> 3.2.5e
Summary: [patch update] transfig 3.2.5d -> 3.2.5e
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-02 10:40 UTC by Kurt Jaeger
Modified: 2013-09-05 15:20 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.03 KB, patch)
2013-09-02 10:40 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger 2013-09-02 10:40:03 UTC
http://www.xfig.org/art17.html

Patchlevel 5e (August 2013)

BUGS FIXED:
	o HTML map output was limited to 100 links.
	  Fix by Jan van Dijk
	o Updated for compatibility to PNG 1.5
	  From Matthias Scheler
	o Was adding "showpage" command when producing bitmap formats
	  from intermediate EPS.
	  This produced "illegal" PNG and JPEG files with extra, blank image.
	o Maximum width of included image in PS/EPS output increased
	  from 8192 to 16384
	o Precision of some PIC objects increased from %.2f to %.3f
	o Double close of output file when ghostscript fails.
	  Original bug report from
	  https://bugzilla.redhat.com/728825

How-To-Repeat: 	-
Comment 1 William Grzybowski freebsd_committer 2013-09-04 23:44:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-09-05 15:10:49 UTC
Author: wg
Date: Thu Sep  5 14:10:41 2013
New Revision: 326401
URL: http://svnweb.freebsd.org/changeset/ports/326401

Log:
  print/transfig: update to 3.2.5e
  
  - Update to 3.2.5e [1]
  - Convert lib depends to new syntax
  - Pass maintainership to submitter
  
  Changes: http://www.xfig.org/art17.html
  
  PR:		ports/181750
  Submitted by:	Kurt Jaeger <fbsd-ports opsec.eu>

Deleted:
  head/print/transfig/files/patch-fig2dev_dev_readpng.c
Modified:
  head/print/transfig/Makefile
  head/print/transfig/distinfo

Modified: head/print/transfig/Makefile
==============================================================================
--- head/print/transfig/Makefile	Thu Sep  5 14:03:52 2013	(r326400)
+++ head/print/transfig/Makefile	Thu Sep  5 14:10:41 2013	(r326401)
@@ -2,17 +2,16 @@
 # $FreeBSD$
 
 PORTNAME=	transfig
-PORTVERSION=	3.2.5d
-PORTREVISION=	1
+PORTVERSION=	3.2.5e
 CATEGORIES=	print
 MASTER_SITES=	SF/mcj/mcj-source/
 DISTNAME=	${PORTNAME}.${PORTVERSION}
 
-MAINTAINER=	ports@FreeBSD.org
-COMMENT=	Tools to convert Xfig's .fig files
+MAINTAINER=	fbsd-ports@opsec.eu
+COMMENT=	Tools to convert Xfig .fig files
 
 RUN_DEPENDS=	ppmtogif:${PORTSDIR}/graphics/netpbm
-LIB_DEPENDS=	png15:${PORTSDIR}/graphics/png
+LIB_DEPENDS=	libpng15.so:${PORTSDIR}/graphics/png
 
 
 USES=		imake

Modified: head/print/transfig/distinfo
==============================================================================
--- head/print/transfig/distinfo	Thu Sep  5 14:03:52 2013	(r326400)
+++ head/print/transfig/distinfo	Thu Sep  5 14:10:41 2013	(r326401)
@@ -1,2 +1,2 @@
-SHA256 (transfig.3.2.5d.tar.gz) = ae81214177fb05f91f6e43b0b42633b6e0024570cbc6591a3858e12100ce8aaa
-SIZE (transfig.3.2.5d.tar.gz) = 497451
+SHA256 (transfig.3.2.5e.tar.gz) = 8ec5a8f13254dd155622ed3ee0fda1382b1e2b5882d83b9aca1871f12a3e7744
+SIZE (transfig.3.2.5e.tar.gz) = 531256
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 William Grzybowski freebsd_committer 2013-09-05 15:10:52 UTC
State Changed
From-To: open->closed

Committed. Thanks!